org.apache.tinkerpop.gremlin.jsr223

## Class MockGremlinScriptEngineFactory

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinScriptEngineFactory
  - - org.apache.tinkerpop.gremlin.jsr223.MockGremlinScriptEngineFactory

- All Implemented Interfaces:
    ScriptEngineFactory, GremlinScriptEngineFactory

      public class MockGremlinScriptEngineFactory
      extends AbstractGremlinScriptEngineFactory

  This is a "do nothing" implementation of the `GremlinScriptEngineFactory` which can be used to help test plugin implementations which don't have reference to a `GremlinScriptEngine` as a dependency.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ENGINE_NAME`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinScriptEngineFactory

      `manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockGremlinScriptEngineFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMethodCallSyntax(String obj, String m, String... args)`
    `String` | `getOutputStatement(String toDisplay)`
    `GremlinScriptEngine` | `getScriptEngine()` Creates a new `GremlinScriptEngine` instance.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinScriptEngineFactory

      `getEngineName, getEngineVersion, getExtensions, getLanguageName, getLanguageVersion, getMimeTypes, getNames, getParameter, getProgram, setCustomizerManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENGINE_NAME

          public static final String ENGINE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MockGremlinScriptEngineFactory

          public MockGremlinScriptEngineFactory()

  - ### Method Detail

    - #### getScriptEngine

          public GremlinScriptEngine getScriptEngine()

      Description copied from interface: `GremlinScriptEngineFactory`
      Creates a new `GremlinScriptEngine` instance. Unlike the JSR-223 implementation, the semantics for this interface expect a "new" instance to be created for each call to this method. Caching or pooling is something to be handled by a `GremlinScriptEngineManager`.

    - #### getMethodCallSyntax

          public String getMethodCallSyntax(String obj,
                                            String m,
                                            String... args)

    - #### getOutputStatement

          public String getOutputStatement(String toDisplay)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.